#define F_CPU 16000000
#include <util/delay.h>

#include "AFMotor.h"


int main(void) {

	int v[4];
	int sensor;
	PORTC = 0xff;
	DDRC = 0x00;
	DDRD |= (1 << PD7);
	
	
	AF_DCMotor motor2(2,DC_MOTOR_PWM_RATE);
	AF_DCMotor motor3(3,DC_MOTOR_PWM_RATE);
	motor2.setSpeed(0);
	motor3.setSpeed(0);
	
	motor2.run(RELEASE);
	motor3.run(RELEASE);

	_delay_ms(5000);
	
	for(;;) {
		for(sensor = 1; sensor < 5; sensor++) {
			v[sensor-1] = 0;
			if(bit_is_set(PINC, sensor)) {
				v[sensor-1] = 1;
			}
		}
		
		if(v[0] == 1) {
			motor2.run(RELEASE);
			motor3.run(BACKWARD);
		}
		else if(v[1] == 1) {
			motor2.run(FORWARD);
			motor3.run(FORWARD);
		}
		
		else if(v[2] == 1) {
			motor2.run(FORWARD);
			motor3.run(FORWARD);
		}
		else if(v[3] == 1) {
			motor2.run(FORWARD);
			motor3.run(RELEASE);
		}
		_delay_ms(100);
	}

/*
	Motoare
	
	AF_DCMotor motor2(2,DC_MOTOR_PWM_RATE);
	AF_DCMotor motor3(3,DC_MOTOR_PWM_RATE);

	motor2.setSpeed(0);
	motor3.setSpeed(0);

	_delay_ms(1000);
	
	motor2.run(FORWARD);
	motor3.run(FORWARD);
	for(;;) {
		motor2.setSpeed(255);  
		motor3.setSpeed(255);
		_delay_ms(2000);
		motor2.run(RELEASE);
		motor3.run(RELEASE);
		_delay_ms(2000);
		motor2.run(FORWARD);
		motor3.run(FORWARD);

	}
	motor2.run(RELEASE);
	motor3.run(RELEASE);
	
	
	
	*/
	/*
	senzori
	
	PORTC = 0xff;
	DDRC = 0x00;
	DDRD |= (1 << PD7);
	int sensor;

	for(;;) {
		
		for(sensor = 1; sensor < 5; sensor++)
			if(bit_is_set(PINC, sensor)) {
				PORTD |= (1 << PD7);
			}
			else {
				PORTD &= ~(1 << PD7);
			}
	}*/	
}